package me.hammerle.console;

import java.awt.Color;
import java.awt.Font;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class BlackBox extends JScrollPane
{
    protected final JTextArea area;
    protected final Console c;
    
    public BlackBox(Console c)
    {
        this.c = c;
        
        area = new JTextArea();
        area.setLineWrap(true);
        area.setBackground(Color.black);
        area.setFont(new Font("Monaco", Font.PLAIN, 16));
        area.setForeground(Color.white);
        area.setCaretColor(Color.white);
        area.setAutoscrolls(true);
        
        super.setViewportView(area);
        super.setBackground(Color.black);
        super.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_ALWAYS);
    }
    
    public JTextArea getTextArea()
    {
        return area;
    }
}
