package me.hammerle.console;

import java.awt.BorderLayout;
import java.awt.Dimension;
import javax.swing.JFrame;

public class Console extends JFrame
{
    protected final OutputBox output;
    protected final InputBox input;
    
    public Console()
    {
        super.setDefaultCloseOperation(EXIT_ON_CLOSE);
        super.setTitle("SnuviScript - 0.0.1 - Konsole");
        super.setPreferredSize(new Dimension(660, 460));
        super.setLayout(new BorderLayout(0, 1));
        
        // -------------------------------------------------------------------------------
        // Input
        // -------------------------------------------------------------------------------
        
        input = new InputBox(this);
        super.add(input, BorderLayout.CENTER);
        
        // -------------------------------------------------------------------------------
        // Output
        // -------------------------------------------------------------------------------
        
        output = new OutputBox(this);
        super.add(output, BorderLayout.PAGE_START);

        super.pack();
        super.setVisible(true);
    }
}
