package me.hammerle.console;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

public class InputBox extends BlackBox
{
    public InputBox(Console c)
    {
        super(c);
        area.addKeyListener(new KeyAdapter() 
        {
            @Override
            public void keyPressed(KeyEvent e) 
            {
                if(e.getKeyCode() == KeyEvent.VK_ENTER)
                {
                    if(e.isAltDown())
                    {
                        area.append("\n");
                        e.consume();
                    }
                    else
                    {
                        // HIER WIRD CODE AUSGEFÜHRT
                        c.output.pushText(area.getText());
                        area.setText(null);
                        e.consume();
                    }
                }
            }
        });
    }
}
