package me.hammerle.files;

import java.io.File;
import java.io.IOException;
import java.nio.file.Files;
import java.util.List;
import me.hammerle.code.ScriptUtils;
import me.hammerle.console.ConsoleUtils;

public class FileUtils 
{
    public static List<String> readCode(String filename)
    {
        File script = new File(filename + ".sv");  
        if(script.exists())
        {
            try 
            {
                return Files.readAllLines(script.toPath());
            } 
            catch (IOException ex) 
            {
                ConsoleUtils.sendMessage("File '" + filename + "' cannot be read.");
            }
        }
        else
        {
            ScriptUtils.printError("File '" + filename + "' does not exist.");
        }
        return null;
    }
}
