package me.hammerle.graphics;

import java.awt.Color;
import java.awt.Graphics;

public abstract class GraphicObject 
{
    private Color c;
    
    public GraphicObject(Color c)
    {
        this.c = c;        
    }
    
    public Color getColor()
    {
        return c;
    }
    
    public void setColor(Color c)
    {
        this.c = c;
    }
    
    public abstract void paint(Graphics g);
}
