package me.hammerle.graphics;

import java.awt.Color;
import java.awt.Graphics;

public class Line extends GraphicObject
{
    protected int x1;
    protected int y1;
    protected int x2;
    protected int y2;
    
    public Line(Color c, int x1, int y1, int x2, int y2) 
    {
        super(c);
        this.x1 = x1;
        this.y1 = y1;
        this.x2 = x2;
        this.y2 = y2;
    }   
    
    public void setFirstX(int x)    
    {
        x1 = x;
    }
    
    public void setFirstY(int y)    
    {
        y1 = y;
    }
    
    public void setSecondX(int x)    
    {
        x2 = x;
    }
    
    public void setSecondY(int y)    
    {
        y2 = y;
    }
    
    public int getFirstX()    
    {
        return x1;
    }
    
    public int getFirstY()    
    {
        return y1;
    }
    
    public int getSecondX()    
    {
        return x2;
    }
    
    public int getSecondY()    
    {
        return y2;
    }

    @Override
    public void paint(Graphics g) 
    {
        g.drawLine(x1, y1, x2, y2);
    }
}
