package me.hammerle.scheduler;

import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

public class SnuviScheduler 
{
    public static void doScheduledTask(Runnable r)
    {
        r.run();
    }
    
    public static void doScheduledTask(Runnable r, int delay)
    {
        ScheduledExecutorService executor = Executors.newSingleThreadScheduledExecutor();   
        executor.schedule(r, delay, TimeUnit.MILLISECONDS);
        executor.shutdown();
    }
}
